### Function

# Gimp type_get_translation_domain

since: 2.2

#### Declaration [src]

    const gchar*
    gimp_type_get_translation_domain (
      GType type
    )

#### Description [src]

Retrieves the gettext translation domain identifier that has been previously set using gimp_type_set_translation_domain(). You should not need to use this function directly, use `gimp_enum_get_value()` or `gimp_enum_value_get_desc()` instead.

Available since: 2.2

#### Parameters

`type`

  Type: `GType`

  A `GType`.

#### Return value

Type: `const gchar*`

The translation domain associated with `type` or `NULL` if no domain was set.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.